Subject: bug#29033: [platform-testers] new snapshot available: gzip-1.8.32-4606

From: Bruno Haible <[email-masked]>
Date: Sat, 28 Oct 2017 02:35:39 +0200

Hi Jim,

Test in 32-bit mode on Linux/x86_64:

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: timestamp
===============

++ initial_cwd_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests gt-timestamp.XXXX
+++ case $# in
+++ destdir_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests
+++ template_=gt-timestamp.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+++ case $d in
+++ :
+++ test -d /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
++++ ls -dgo /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+++ perms='drwx------ 2 4096 Oct 28 02:10 /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI'
+++ case $perms in
+++ :
+++ echo /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+++ return
++ test_dir_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
++ cd /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
++ gl_init_sh_nl_='
'
++ IFS=' 
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ..
+ test 1 '!=' 0
+ path_dir_=..
+ case $path_dir_ in
+ abs_path_dir_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/..
+ case $abs_path_dir_ in
+ PATH=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/..:/media/develdata/devel/build/gzip-1.8.32-4606/build-32:/home/bruno/bin:/home/bruno/local/bin:/darch/x86_64-linux-gnu/gnu/bin:/arch/local/x86_64-linux-gnu/bin:/arch/local/x86_64-linux/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+ create_exe_shims_ /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/..
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ TZ=UTC0
+ export TZ
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 190101010000 in
+ returns_ 2 gzip in
+ fail=1
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 196912312359.59 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 197001010000 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 210602070628.16 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 197001010000.01 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.07 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.08 in
+ gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ fail=1
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 210602070628.15 in
+ gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ fail=1
+ rm -f in.gz in
+ touch -t 210602070628.15 in
+ :
+ gzip --no-name
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests
+ chmod -R u+rwx /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+ rm -rf /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+ exit 1
FAIL timestamp (exit status: 1)

============================================================================
Testsuite summary for gzip 1.8.32-4606
============================================================================
# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to [email-masked]
============================================================================
Makefile:1643: recipe for target 'test-suite.log' failed

And indeed gzip exits with code 0, not 2, for some of the values:

$ export TZ=UTC0
$ rm -f in in.gz; touch -t 190101010000 in; ../../gzip in; echo $?
0
$ rm -f in in.gz; touch -t 190101010000 in; ls -l --full-time in
-rw-rw-r-- 1 bruno bruno 0 1901-01-01 00:00:00.000000000 +0000 in

I'm using touch 8.25. The file system is ext4.

Bruno